// Warrior Pack Bundle 1 FREE アセットのHuman改変スクリプト
// キー入力受付処理と攻撃処理を外してクラス名を変更
using UnityEngine;

public class Human : MonoBehaviour 
{
	public Animator animator;   // アニメーター
    public GameObject dParent;  // 地形オブジェクトへのアクセス用
    private Geo geo;            // 地形スクリプトのアクセス用

    public bool reqRun;         // 走りアニメーションリクエスト
    public bool reqIdle;        // 待機アニメーションリクエスト

    public float lot;           // 経度
    public float lat;           // 緯度
    public float scale = 4.0f;  // 拡大率

    void Start()
    {
        geo = dParent.GetComponent<Geo>();
    }

    void Update()
	{
        if (reqRun)     // 走りアニメーションの再生開始リクエスト
        {
            reqRun = false;
            animator.SetBool("Moving", true);
            animator.SetBool("Running", true);
        } else
        if (reqIdle)    // 待機アニメーションの再生開始リクエスト
        {
            reqIdle = false;
            animator.SetBool("Moving", false);
            animator.SetBool("Running", false);
        }

        if (geo.IsOnMap(new Vector2(lot, lat))) // 位置の設定
        {
            transform.localPosition = dParent.transform.position + geo.GetMapPos(new Vector2(lot, lat));
            transform.localScale = Vector3.one * scale;
        }
    }
}